### Property

# GUPnPAV DIDLLiteResource:duration

#### Declaration

    property duration: long [ read, write ]

#### Description [src]

The duration (in seconds) of this resource.

Type:`glong`

Default value | -1
Getter method | `gupnp_didl_lite_resource_get_duration()`
Setter method | `gupnp_didl_lite_resource_set_duration()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no